Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateNl2BrOperator Class Reference
Template system » Template operators

## Public Member Functions
| __construct ()
| operatorList ()
| namedParameterList ()
| operatorTemplateHints ()
| nl2brTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Nl2brName
| $Operators
| The array of operators, used for registering operators. More...

## Detailed Description

Definition at line 20 of file eztemplatenl2broperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateNl2BrOperator::__construct | ( |  | ) |

Initializes the object with the name $name, default is "nl2br".

Definition at line 26 of file eztemplatenl2broperator.php.

## Member Function Documentation

## ◆ modify()

eZTemplateNl2BrOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Display the variable.

Definition at line 81 of file eztemplatenl2broperator.php.

## ◆ namedParameterList()

eZTemplateNl2BrOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 43 of file eztemplatenl2broperator.php.

## ◆ nl2brTransformation()

eZTemplateNl2BrOperator::nl2brTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 59 of file eztemplatenl2broperator.php.

References eZTemplateNodeTool\createCodePieceElement().

## ◆ operatorList()

eZTemplateNl2BrOperator::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 35 of file eztemplatenl2broperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateNl2BrOperator::operatorTemplateHints | ( |  | ) |

Definition at line 48 of file eztemplatenl2broperator.php.

## Member Data Documentation

## ◆ $Nl2brName

eZTemplateNl2BrOperator::$Nl2brName

Definition at line 22 of file eztemplatenl2broperator.php.

## ◆ $Operators

eZTemplateNl2BrOperator::$Operators

The array of operators, used for registering operators.

Definition at line 89 of file eztemplatenl2broperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztemplatenl2broperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.